import { StaticPage } from '~/components/Views/StaticPageView'

export default () => (
  <StaticPage
    title={'Principles'}
    desc={'Community values and rules of engagement for the open editorial team'}
  >
    <ol>
      <li>
        <p>
          <strong>Горизонтальность</strong>. Мы все разные, и это классно. Вертикалей в мире достаточно, мы
          — горизонтальное сообщество и ценим наши различия, потому что знаем — в них наша сила. Благодаря
          разнообразию сотен голосов, усиливающих друг друга, в сообществе складывается неповторимая
          синергия, которая помогает вместе достигать большего.
        </p>
      </li>
      <li>
        <p>
          <strong>Многоголосие</strong>. Мы ценим свободу слова и аргументированные мнения. Предоставляя
          трибуну каждому, кому есть что сказать, самиздат отражает полифонию позиций, знаний и опыта,
          которые открывают более полную картину реальности.
        </p>
      </li>
      <li>
        <p>
          <strong>Взаимопомощь</strong>. Мы помогаем друг другу, потому что хотим, чтобы в мире было еще
          больше хорошего. Обсуждая что-то, мы всегда интересуемся, чем можем помочь. В самиздате можно
          найти специалистов практически в любых сферах и получить поддержку от сотен людей. Благодаря
          коллективной экспертизе глобального сообщества в самиздате выходят крутейшие публикации, которыми
          можно вечно гордиться.
        </p>
      </li>
      <li>
        <p>
          <strong>Взаимоуважение</strong>. Мы ценим, искренне уважаем друг друга и вместо борщевиков
          враждебности культивируем цветы добра, мира, знания и юмора. Нам некогда доказывать друг другу,
          кто круче. Гораздо приятнее сотрудничать, помогать и создавать что-то важное, интересное и
          полезное.
        </p>
      </li>
      <li>
        <p>
          <strong>Созидание</strong>. Мы создаем, потому что любим создавать. Мы открыто делимся опытом,
          дарим идеи, обмениваемся мнениями и благодарим за критику, используя ее для совершенствования
          мастерства и саморазвития. Мы знаем, что мир не идеальное место, и делаем всё возможное, чтобы он
          стал лучше.
        </p>
      </li>
    </ol>

    <h2 class="h2" id="participation">
      <span class="wrapped">Как у нас принято себя вести</span>
    </h2>

    <p>
      Открытая редакция объединяет сотни потрясающих людей со всего мира, которые делают крутейшие вещи. Это
      пространство, где доверяют, вдохновляют, исследуют и создают новое вместе. Поскольку все в сообществе
      очень разные, как-то мы собрались и решили зафиксировать базовые ценности открытой редакции, а заодно
      придумали универсальные правила взаимодействия, чтобы общение было не только плодотворным, но и
      приятным для всех участников сообщества.
    </p>
    <ol>
      <li>
        <p>
          <strong>Действуем, помогаем и делимся</strong>. В редакции мы создаем свои проекты и помогаем
          другим создавать свои — советами, делом, участием, вовлеченностью. Мы открыто делимся опытом,
          мнениями и идеями, потому что ценим силу сотрудничества и знаем, что идеи реализуются скорее,
          лучше и веселее, если над ними трудиться сообща.
        </p>
      </li>

      <li>
        <p>
          <strong>Общаемся дружелюбно</strong>. Помните, по ту сторону монитора находятся реальные люди.
          Неуважение ранит других так же, как ранило бы вас самих. Поэтому не стоит кричать (даже
          капслоком), заполнять эфир желчью и бросаться грубостями — так вы рискуете не только растерять
          доверие окружающих, но и остаться непонятым.
        </p>
      </li>

      <li>
        <p>
          <strong>Критикуем и реагируем конструктивно</strong>. Самиздат про то, чтобы разбираться в сложных
          вещах всем сообществом, поэтому мы тактично и без агрессии делимся мнениями, стараясь убедительно
          аргументировать позиции. И с благодарностью принимаем критику, используя ее для улучшения наших
          проектов. Мы верим, что каждый участник сообщества имеет добрые намерения, и придерживаемся
          принципов доброжелательной критики, стараемся делиться советами — лучшим средством для
          самосовершенствования. Обоснованная критика помогает и адресату, и всем участникам сообщества
          досконально изучить тему и глубже разобраться в проблеме.
        </p>
      </li>

      <li>
        <p>
          <strong>Решаем трудности не агрессией, а диалогом</strong>. Обесценивать мнения и оскорблять
          других людей только потому, что вы с ними не согласны, — не лучший способ донести свою точку
          зрения. Конечно, важно высказаться, если вас что-то не устраивает и откровенно бесит. Но прежде
          чем сжигать оппонента гневом, попробуйте понять, почему этот «нехороший человек» так поступает.
          Возможно, аргументы собеседника окажутся убедительными или вам удастся изменить его мнение. В
          любом случае конфликты решаются в диалогах и проходят, а налаженное взаимопонимание останется
          надолго.
        </p>
      </li>

      <li>
        <p>
          <strong>Не переходим на личности — это признак токсичности</strong>. Всегда мудрее обсуждать точку
          зрения человека, а не его самого, даже если он вам не импонирует. Предвзятое отношение
          ограничивает кругозор, добавляет преждевременные морщины и не помогает окружающим стать лучше.
          Вежливость и взаимоуважение — краеугольная основа вдумчивых и осмысленных дискуссий.
        </p>
      </li>

      <li>
        <p>
          <strong>Благодарим за помощь</strong>. Благодарите коллег даже за самые, казалось бы, простые
          вещи. «Спасибо» не зря называют волшебным словом — на искренней благодарности держится любое
          подлинное сотрудничество. Поддержка воодушевляет на новые подвиги и напоминает, что мир делают
          прекрасным не машины, а живые люди.
        </p>
      </li>

      <li>
        <p>
          <strong>Даем еще один шанс</strong>. Все совершают ошибки, и за один проступок не стоит
          вычеркивать людей из жизни. Ошибки нужны, чтобы на них учиться и делать выводы. Однако если
          многократно и систематически нарушать правила сообщества, наверняка можно заслужить минусы в карму
          от других участников и потерять доступ к сообществу.
        </p>
      </li>

      <li>
        <p>
          <strong>Вместе создаем идеальную среду общения</strong>. Открытая редакция — это утопическое
          пространство обогащающей и осмысленной коммуникации. Атмосфера горизонтального сообщества
          складывается из действий каждого, поэтому мы действуем так, чтобы способствовать сотворчеству,
          коллективному познанию и развитию самиздата и нашей альтернативной интеллектуальной медиасреды.
        </p>
      </li>

      <li>
        <p>
          <strong>Помним, что всё в сообществе зависит от нас</strong>. Если нам чего-то не хватает, мы
          начинаем действовать — рассказываем об идее, находим единомышленников, готовим и запускаем проект.
          Так в сообществе становится на одну крутую активность больше. Так появилось наше сообщество. Так
          появился самиздат и все проекты открытой редакции. Чтобы в сообществе случилось что-то прекрасное,
          достаточно просто положить этому начало.
        </p>
      </li>
    </ol>
  </StaticPage>
)
