import { Donate } from '~/components/Discours/Donate'
import { StaticPage } from '~/components/Views/StaticPageView'

export default () => (
  <StaticPage
    title={'Support Discours'}
    desc={
      'Contribute to free samizdat. Support Discours \
      - an independent non-profit publication that works only for you. \
      Become a pillar of the open newsroom'
    }
  >
    <p>
      Дискурс — уникальное независимое издание с горизонтальной редакцией, существующее в интересах своих
      читателей. Ваша поддержка действительно много значит — не только для редакции Дискурса, но и для
      сохранения свободной мысли и некоммерческого искусства в нашем обществе.
    </p>
    <p>
      Дискурс существует на добровольных началах. Никакой медиахолдинг, фонд или государственная структура
      не финансирует нас — благодаря этому мы можем писать о том, что важно, а не о том, что выгодно.
      Сообщество наших волонтеров ежедневно трудится, чтобы рассказывать вам интересные, не освещенные
      другими изданиями истории — но мы не сможем делать это без вашей помощи. Пожертвования читателей
      составляют основу нашего бюджета и позволяют нам существовать.
    </p>
    <p>
      Если вам нравится то, что мы делаем и вы хотите, чтобы Дискурс продолжался, пожалуйста, поддержите
      проект.
    </p>
    <div class="row">
      <div class="col-sm-22 col-md-24">
        <Donate />
      </div>
    </div>
    <h3 id="financial-report">На что пойдут деньги?</h3>
    <p>
      Ваши пожертвования пойдут на оплату серверов, содержание офиса, зарплату редакции и налоги, оплату
      юридического сопровождения и труда бухгалтера, совершенствование сайта, аренду помещения для открытой
      редакции, на печать альманаха Дискурс с лучшими текстами авторов за полгода, а также на другие
      редакционные и технические расходы.
    </p>
    <h3>Ваша помощь позволит нам</h3>
    <ul>
      <li>
        <h4>Оставаться бесплатным изданием.</h4>
        <p>
          Мы делаем открытый журнал для всех желающих, а также собираем искусство лучших авторов по всему
          миру. Ваша поддержка позволяет нам становиться лучше.
        </p>
      </li>
      <li>
        <h4>Создавать еще больше контента.</h4>
        <p>
          Каждый день к нам присоединяются новые люди, и чем больше нас становится, тем больше мы творим и
          строже оцениваем результаты творчества друг друга. В результате повышается и количество, и
          качество контента. Каждый день мы трудимся, чтобы открывать нашим читателям новые грани
          окружающего мира.
        </p>
      </li>
      <li>
        <h4>Развивать форматы и расширять деятельность Дискурса.</h4>
        <p>
          Мы создаем различные спецпроекты и регулярно проводим необычные мероприятия. Мы хотим приносить
          пользу человечеству всеми возможными способами.
        </p>
      </li>
      <li>
        <h4>Модернизировать сайт.</h4>
        <p>
          Мы совершенствуем платформу и стараемся сделать проект максимально удобным для вас. Мы работаем
          над мобильной версией, новым дизайном, фукционалом, системой регистрации, навигации и
          рекомендаций, которые сделают наше общение еще увлекательней.
        </p>
      </li>
      <li>
        <h4>Выпускать альманах.</h4>
        <p>Выпускать раз в полугодие печатный альманах Дискурс с 33 лучшими текстами сайта.</p>
      </li>
      <li>
        <h4>Захватить весь мир</h4>
        <p>и принести «Дискурс» в каждый дом.</p>
      </li>
    </ul>
    <h3 id="trustee">Войдите в попечительский совет Дискурса</h3>
    <p>
      Вы хотите сделать крупное пожертвование? Станьте попечителем Дискурса —{' '}
      <a class="black-link" href="mailto:welcome@discours.io" target="_blank" rel="noreferrer">
        напишите нам
      </a>
      , мы будем рады единомышленникам.
    </p>
    <h3 id="other">Как ещё можно поддержать Дискурс?</h3>
    <p>
      Есть много других способов поддержать Дискурс и труд наших авторов. Например, вы можете периодически
      рассказывать о проекте своим друзьям в соцсетях, делиться хорошими материалами или — что еще лучше —
      публиковать свои статьи в «Дискурсе». Но главное, что вы можете сделать для Дискурса, — читать нас. Мы
      вкладываем в журнал душу, и внимание каждого читателя убеждает нас в правильности выбранного пути. Не
      переключайтесь.
    </p>
    <p>
      Если вы хотите помочь проекту, но у вас возникли вопросы, напишите нам письмо по адресу{' '}
      <a class="black-link" href="mailto:welcome@discours.io" target="_blank" rel="noreferrer">
        welcome@discours.io
      </a>
      .
    </p>
  </StaticPage>
)
